## bilibop 0.6.5

=== debian/changelog ===
bilibop (0.6.5) unstable; urgency=high

  * bilibop-common: improve support for partioned loop devices
    - Add support for loop device partition table exposed to kernel using
      'partx' command (or losetup's '--partscan' option) instead of the
      device mapper's 'kpartx' command.
    - Fix indentation of loop device partitions in 'drivemap' output.

  * debian/control:
    - Replace 'Architecture: linux-any' by 'Architecture: all' with
      'Multi-Arch: foreign' for binary packages (caught by lintian)
    - Remove dependencies (Suggests) to unexisting packages (for
      policykit-1, closes: #1025592)

  * debian/tests:
    - Fix autopkgtests script to properly unlock filesystems. Closes: #1059552

  * debian/copyright:
    - Update copyright dates

  * debian/po:
    - Fix typos in 'sv' translations. Thanks to Anders Jonsson.

  * lintian-overrides:
    - Add or update overrides for bilibop-rules

 -- Yann Amar <quidame@poivron.org>  Fri, 02 May 2025 07:58:20 +0000
