=== debian/tests/control ===
Test-Command: /usr/libexec/bilibop/disk
Depends: bilibop-common
Restrictions: isolation-machine

Tests: lockfs
Depends: bilibop-lockfs
Restrictions: isolation-machine, needs-reboot, needs-root
